/*
 * Created by yvesb on 26/05/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */

const CArcDeCercleDirect = require('../objets/CArcDeCercleDirect')
const kernel = require('../kernel/kernel')

module.exports = CArcDeCercleDirect

CArcDeCercleDirect.prototype.infoHist = function () {
  var ch = this.nom + ' : ' + kernel.getStr('chinfo191')
  ch += ' ' + kernel.getStr('chinfo202') + ' ' + this.o.nom + ' ' + kernel.getStr('chinfo203') + ' ' + this.a.nom
  if (this.pointFinArc !== null) ch += ' ' + kernel.getStr('chinfo204') + ' ' + this.pointFinArc.nom
  else ch += kernel.getStr('chinfo205') + ' ' + this.angleAuCentre.chaineInfo()
  return ch
}
