/*
 * Created by yvesb on 20/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CCercleClone = require('../objets/CCercleClone')
const CCercle = require('../objets/CCercle')
const kernel = require('../kernel/kernel')
module.exports = CCercleClone

CCercleClone.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('CercClone') + ' ' + kernel.getStr('de') + ' ' + this.cercle.nom
}

CCercleClone.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CCercle.prototype.depDe4Rec.call(this, p) || this.cercle.depDe4Rec(p))
}

CCercleClone.prototype.estDefiniParObjDs = function (listeOb) {
  return this.cercle.estDefPar(listeOb)
}
