/*
 * Created by yvesb on 10/10/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CFonc = require('../objets/CFonc')
const kernel = require('../kernel/kernel')
const FonctionDlg = require('../dialogs/FonctionDlg')
module.exports = CFonc

CFonc.prototype.info = function () {
  return this.getNom() + '(' + this.chaineVariable + ')' + ' = ' + this.chaineCalcul
}

CFonc.prototype.infoHist = function () {
  var ch = this.getNom() + ' : ' + kernel.getStr('Fonction') + ' ' + kernel.getStr('ch87') + '\n' + this.info()
  if (!this.existe) ch = ch + '\n' + kernel.getStr('ch18')
  return ch
}

CFonc.prototype.modifiableParMenu = function () {
  return !this.estElementFinal
}

CFonc.prototype.modifDlg = function (app, callBack1, callBack2) {
  new FonctionDlg(app, this, true, true, callBack1, callBack2)
}
