/*
 * Created by yvesb on 10/10/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CMacroAffectationValeurVariable = require('../objets/CMacroAffectationValeurVariable')
const CMacro = require('../objets/CMacro')
const kernel = require('../kernel/kernel')
const MacAffValVarDlg = require('../dialogs/MacAffValVarDlg')
module.exports = CMacroAffectationValeurVariable

CMacroAffectationValeurVariable.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo127') + ' ' + this.valeurAssociee.chaineInfo() +
    '  ' + kernel.getStr('chinfo128') + ' ' + this.variableAssociee.nomCalcul
}

CMacroAffectationValeurVariable.prototype.peutEtreMacroFinBoucle = function () {
  return true
}

CMacroAffectationValeurVariable.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CMacro.prototype.depDe4Rec.call(this, p) ||
    this.variableAssociee.depDe4Rec(p) || this.valeurAssociee.depDe4Rec(p))
}

CMacroAffectationValeurVariable.prototype.modifDlg = function (app, callBack1, callBack2) {
  new MacAffValVarDlg(app, this, true, callBack1, callBack2)
}
// Abandonné
/*
CMacroAffectationValeurVariable.prototype.metAJourPourCreation = function() {
  this.metAJour();
};
*/
