/*
 * Created by yvesb on 30/05/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CMacroModeTraceDesactivation = require('../objets/CMacroModeTraceDesactivation')
const kernel = require('../kernel/kernel')
const MacDesactTrDlg = require('../dialogs/MacDesactTrDlg')
module.exports = CMacroModeTraceDesactivation

CMacroModeTraceDesactivation.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo171')
}

CMacroModeTraceDesactivation.prototype.modifDlg = function (app, callBack1, callBack2) {
  new MacDesactTrDlg(app, this, true, callBack1, callBack2)
}
