/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CMesureAbscisse = require('../objets/CMesureAbscisse')
const kernel = require('../kernel/kernel')
const CCalculAncetre = require('../objets/CCalculAncetre')
module.exports = CMesureAbscisse

CMesureAbscisse.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CCalculAncetre.prototype.depDe4Rec.call(this, p) ||
    this.origine.depDe4Rec(p) || this.extremite.depDe4Rec(p) || this.pointMesure.depDe4Rec(p))
}

CMesureAbscisse.prototype.infoHist = function () {
  return this.getNom() + ' : ' + kernel.getStr('chinfo31') + ' ' + this.pointMesure.nom + kernel.getStr('chinfo32') +
    ' (' + this.origine.nom + ',' + this.extremite.nom + ')'
}

CMesureAbscisse.prototype.infoHist = function () {
  var ch = this.getNom() + ' : ' + kernel.getStr('chinfo31') + ' ' + this.pointMesure.nom + '\n' + kernel.getStr('chinfo32') +
    ' (' + this.origine.nom + ',' + this.extremite.nom + ')'
  if (this.existe) ch = ch + '\n' + kernel.getStr('chinfo97') + kernel.chaineNombre(this.abscisse, 12)
  else ch = ch + '\n' + kernel.getStr('ch18')
  return ch
}

CMesureAbscisse.prototype.estDefiniParObjDs = function (listeOb) {
  return this.origine.estDefPar(listeOb) &&
  this.extremite.estDefPar(listeOb) &&
  this.pointMesure.estDefPar(listeOb)
}
