/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CSuiteRec3 = require('../objets/CSuiteRec3')
const kernel = require('../kernel/kernel')
const CSuiteRec = require('../objets/CSuiteRec')
const SuiteRecDlg = require('../dialogs/SuiteRecDlg')
module.exports = CSuiteRec3

CSuiteRec3.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CSuiteRec.prototype.depDe4Rec.call(this, p) ||
    this.deuxiemeTerme.depDe4Rec(p))
}

CSuiteRec3.prototype.infoHist = function () {
  return this.nomCalcul + ' : ' + kernel.getStr('SuiteRec3') + '\n' + kernel.getStr('chinfo84') + ' ' + this.fonctionAssociee.getNom() + '\n' +
    kernel.getStr('PremTerm') + ' ' + this.premierTerme.chaineInfo() + '\n' +
    kernel.getStr('chinfo186') + ' ' + this.deuxiemeTerme.chaineInfo() + '\n' +
    kernel.getStr('chinfo86') + ' ' + this.nombreTermes.chaineInfo()
}

CSuiteRec3.prototype.modifiableParMenu = function () {
  return !this.estElementFinal
}

CSuiteRec3.prototype.modifDlg = function (app, callBack1, callBack2) {
  new SuiteRecDlg(app, this, 3, true, true, callBack1, callBack2)
}
