/*
 * Created by yvesb on 28/11/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CTestFact = require('../objets/CTestFact')
const kernel = require('../kernel/kernel')
const TestEqFactDlg = require('../dialogs/TestEqFactDlg')
module.exports = CTestFact

CTestFact.prototype.infoHist = function () {
  var ch = this.getNom() + ' : ' + kernel.getStr('ch200') + '\n' + this.calcul1.getNom() + ' ' + kernel.getStr('par') +
    ' ' + this.calcul2.getNom() + '\n'
  ch = ch + this.calcul1.getNom() + ' : ' + (this.remplacementValeurs1 ? kernel.getStr('ch187') : kernel.getStr('ch188'))
  ch = ch + ' ' + kernel.getStr('ch189') + '\n'
  ch = ch + this.calcul2.getNom() + ' : ' + (this.remplacementValeurs2 ? kernel.getStr('ch187') : kernel.getStr('ch188'))
  ch = ch + ' ' + kernel.getStr('ch189') + '\n'
  ch = ch + kernel.getStr('testEquivalenceDlg4') + ' ' + this.test.chaineInfo() + '\n'
  ch = ch + kernel.getStr('chinfo97') + ' ' + kernel.chaineNombre(this.resultat, 12)
  return ch
}

CTestFact.prototype.modifiableParMenu = function () {
  return !this.estElementFinal
}

CTestFact.prototype.modifDlg = function (app, callBack1, callBack2) {
  new TestEqFactDlg(app, this, true, false, callBack1, callBack2)
}
