/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
module.exports = OutilAddConst
/**
 * Outil servant à modifier un objet qui a été créé par un menu
 * @param app L'application propriétaire
 * @constructor
 */
function OutilAddConst (app) {
  // Attention : Pour cet outil le troisième pramètre est "GestionConst" pour que l'icône de app.outilGestionConst soit
  // désactivée quand on désactive l'outil (cet outil n'a pas d'icône)
  Outil.call(this, app, '', 'GestionConst', -1, false, false) // Le dernier false car l'outil n'est pas sélectionnable
}

OutilAddConst.prototype = new Outil()

// select est défini dans OutilsWithElectron/OutilAddConst ou dans OutilsWithoutElectron/OutilAddConst
// suivant qu'on compile avec --electron ou non
