/*
 * Created by yvesb on 10/01/2017.
 */
/**
 * Outil servant à créer un carré direct en cliquant sur deux points
 * Hérite de OutilArcPetitParAng donc inutile de redéfinir actionApresDlgOK
 * @param app L'application propriétaire
 * @constructor
 */
const CValeurAngle = require('../objets/CValeurAngle')
const CArcDeCercleIndirect = require('../objets/CArcDeCercleIndirect')
const AngleArcDlg = require('../dialogs/AngleArcDlg')
const CConstante = require('../objets/CConstante')
const OutilArcPetitParAng = require('../outils/OutilArcPetitParAng')
module.exports = OutilArcIndirectParAng

function OutilArcIndirectParAng (app) {
  OutilArcPetitParAng.call(this, app, 'ArcIndirectParAng', 32793, true)
}

OutilArcIndirectParAng.prototype = new OutilArcPetitParAng()

OutilArcIndirectParAng.prototype.creeObjet = function () {
  var app = this.app
  var self = this
  // if (app.lastDlgId() === "angleArcDlg") return;
  var li = app.listePr
  var ang = new CValeurAngle(li, new CConstante(li, 1))
  this.arc = new CArcDeCercleIndirect(li, null, false, app.getCouleur(), false, app.getStyleTrait(), this.point1, this.point2, null, ang)
  new AngleArcDlg(this.app, this.arc, false, function () {
    self.actionApresDlgOK()
  }, function () { self.reselect() })
}
