/*
 * Created by yvesb on 02/12/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CCalcul = require('../objets/CCalcul')
const CalculDlg = require('../dialogs/CalculDlg')
module.exports = OutilCalcul

function OutilCalcul (app) {
  Outil.call(this, app, 'Calcul', 32879)
}
OutilCalcul.prototype = new Outil()

OutilCalcul.prototype.select = function () {
  Outil.prototype.select.call(this)
  var calc = new CCalcul(this.app.listePr, null, false, '', '', null)
  new CalculDlg(this.app, calc, false, true, null, null)
  this.app.activeOutilCapt()
}
