/*
 * Created by yvesb on 02/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CDerivee = require('../objets/CDerivee')
const DeriveeDlg = require('../dialogs/DeriveeDlg')

module.exports = OutilDerivee

function OutilDerivee (app) {
  Outil.call(this, app, 'Derivee', 33132)
}
OutilDerivee.prototype = new Outil()

OutilDerivee.prototype.select = function () {
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var der = new CDerivee(list, null, false, '', null, null)
  new DeriveeDlg(this.app, der, false, null, null)
  this.app.activeOutilCapt()
}

OutilDerivee.prototype.activationValide = function () {
  var list = this.app.listePr
  return list.nombreFonctionsDerivables() > 0
}
