/*
 * Created by yvesb on 20/05/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const GraduationAxesDlg = require('../dialogs/GraduationAxesDlg')
const NatCal = require('../types/NatCal')

module.exports = OutilGraduationAxes

function OutilGraduationAxes (app) {
  Outil.call(this, app, 'GraduationAxes', 32035)
}
OutilGraduationAxes.prototype = new Outil()

OutilGraduationAxes.prototype.select = function () {
  var app = this.app
  Outil.prototype.select.call(this)
  new GraduationAxesDlg(app, function () { app.activeOutilCapt() }, function () { app.activeOutilCapt() })
}

OutilGraduationAxes.prototype.activationValide = function () {
  return this.app.listePr.nombreObjetsCalcul(NatCal.NRepere) > 0
}
