/*
 * Created by yvesb on 28/09/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */

const OutilObjetPar3Pts = require('./OutilObjetPar3Pts')
const CMarqueAngleOriente = require('../objets/CMarqueAngleOriente')
module.exports = OutilMarqueAngOr
/**
 * Outil servant à créer une bissectrice
 * @param app L'application propriétaire
 * @constructor
 */
function OutilMarqueAngOr (app) {
  OutilObjetPar3Pts.call(this, app, 'MarqueAngOr', 32842, true)
}

OutilMarqueAngOr.prototype = new OutilObjetPar3Pts()

OutilMarqueAngOr.prototype.objet = function (pt1, pt2, pt3) {
  var app = this.app
  return new CMarqueAngleOriente(app.listePr, null, false, app.getCouleur(), false, app.getStyleTrait(),
    app.getStyleMarqueAngle(), 16, pt1, pt2, pt3, app.getStyleFleche())
}
