/*
 * Created by yvesb on 07/05/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CValeur = require('../objets/CValeur')
const CMatrice = require('../objets/CMatrice').default
const MatriceDlg = require('../dialogs/MatriceDlg')

module.exports = OutilMatrice

function OutilMatrice (app) {
  Outil.call(this, app, 'Matrice', 32046)
}
OutilMatrice.prototype = new Outil()

OutilMatrice.prototype.select = function () {
  const app = this.app
  Outil.prototype.select.call(this)
  const list = this.app.listePr
  const tabVal = []
  for (let i = 0; i < 2; i++) {
    const lig = []
    tabVal.push(lig)
    for (let j = 0; j < 2; j++) {
      lig.push(new CValeur(list, 0))
    }
  }
  const mat = new CMatrice(list, null, false, '', 2, 2, tabVal)
  new MatriceDlg(app, mat, false, function () { app.activeOutilCapt() }, function () { app.activeOutilCapt() })
}
