/*
 * Created by yvesb on 23/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CModule = require('../objets/CModule')
const NatCal = require('../types/NatCal')
const PartieReelleDlg = require('../dialogs/PartieReelleDlg')

module.exports = OutilModule

function OutilModule (app) {
  Outil.call(this, app, 'Module', 33144, false, false)
}
OutilModule.prototype = new Outil()

OutilModule.prototype.select = function () {
  var app = this.app
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var part = new CModule(list, null, false, '', null)
  new PartieReelleDlg(app, part, 3, false, function () { app.activeOutilCapt() }, function () { app.activeOutilCapt() })
}

OutilModule.prototype.activationValide = function () {
  var list = this.app.listePr
  return (list.nombreObjetsCalcul(NatCal.NTteValC) > 0)
}
