/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const COrdonneeOrigineRep = require('../objets/COrdonneeOrigineRep')
const InfoRepDlg = require('../dialogs/InfoRepDlg')
const NatCal = require('../types/NatCal')
module.exports = OutilOrdOrRep

function OutilOrdOrRep (app) {
  Outil.call(this, app, 'OrdOrRep', 32032, false, false)
}
OutilOrdOrRep.prototype = new Outil()

OutilOrdOrRep.prototype.select = function () {
  Outil.prototype.select.call(this)
  var app = this.app
  var list = app.listePr
  var calc = new COrdonneeOrigineRep(list, null, false, '', list.premierRepVis())
  new InfoRepDlg(app, calc, 1, false, null, null)
  this.app.activeOutilCapt()
}

OutilOrdOrRep.prototype.activationValide = function () {
  return this.app.listePr.nombreObjetsCalcul(NatCal.NRepere) > 0
}
