/*
 * Created by yvesb on 23/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CTestEquivalence = require('../objets/CTestEquivalence')
const NatCal = require('../types/NatCal')
const CValeur = require('../objets/CValeur')
const TestEqFactDlg = require('../dialogs/TestEqFactDlg')

module.exports = OutilTestEq

function OutilTestEq (app) {
  Outil.call(this, app, 'TestEq', 32037)
}
OutilTestEq.prototype = new Outil()

OutilTestEq.prototype.select = function () {
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var part = new CTestEquivalence(list, null, false, '', null, null, true, false, new CValeur(list, 1), true)
  new TestEqFactDlg(this.app, part, false, true, null, null)
  this.app.activeOutilCapt()
}

OutilTestEq.prototype.activationValide = function () {
  var list = this.app.listePr
  return (list.nombreObjetsCalcul(NatCal.NCalcouFoncParFormule) >= 2)
}
