/*
 * Created by yvesb on 09/02/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')

module.exports = OutilTranslationFigure
/**
 * Outil servant à démasquer des objest masqués
 * @param app L'application propriétaire
 * @constructor
 */
function OutilTranslationFigure (app) {
  Outil.call(this, app, 'TranslationFigure', 32020, false)
}

OutilTranslationFigure.prototype = new Outil()

OutilTranslationFigure.prototype.select = function () {
  var app = this.app
  Outil.prototype.select.call(this)
  this.cursor = 'default'
  app.outilPointageActif = app.outilPointageTranslation
  app.outilPointageActif.reset()
}

// On renvoie trop pour ne pas scroller sur périphérique mobile
OutilTranslationFigure.prototype.isWorking = function () {
  return true
}
