/*
 * Created by yvesb on 16/02/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CVariableBornee = require('../objets/CVariableBornee')
const VariableDlg = require('../dialogs/VariableDlg')
module.exports = OutilVariable

function OutilVariable (app) {
  Outil.call(this, app, 'Variable', 32884)
}

OutilVariable.prototype = new Outil()

OutilVariable.prototype.select = function () {
  Outil.prototype.select.call(this)
  var app = this.app
  var va = new CVariableBornee(app.listePr, null, false, '', 0, 0, 0, 0, '', '', '', false)
  var self = this
  new VariableDlg(app, va, false, null, function () { self.app.activeOutilCapt() })
  this.app.activeOutilCapt()
}
