/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const OutilSavePNG = require('../outils/OutilSavePNG')
module.exports = OutilSavePNG

OutilSavePNG.prototype.select = function () {
  // Ici il faut appeler une fontion de callBack pour que savePNG ne soit appelé que lorsque les données
  // sont prêtes.
  // savePNG est une fonction globale de la page index.html pour la version electron
  var app = this.app
  app.getBase64ImageData('png', function (data) { savePNG(data) }, app.pref_coefMult, 1) // eslint-disable-line no-undef
  //
}
