/*
 * Created by yvesb on 18/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const OutilOpen = require('../outils/OutilOpen')
const OpenDlg = require('../dialogs/OpenDlg')
module.exports = OutilOpen

/**
 * Fonction appelée par la version electron
 * mtgloader est une variable globale de la page principale index.html
 */
OutilOpen.prototype.select = function () {
  // Pour cet outil ne pas appeler Outil.prototype.select
  // Ajout version 6.4. Il faut arrêter toute macro en cours d'exécution
  this.app.termineMacroEnCours()
  this.app.activeOutilCapt() // Ajout version 6.4.1 pour éviter plantages si par ex l'outil rideau est actiF
  //
  new OpenDlg(this.app)
}
