/*!
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 * @version 5.7.0
 */

// sert à inclure toutes les dépendances de l'éditeur mathgraph
// mis dans un js séparé pour créer un gros chunk isolé, pas forcément chargé par load.js

const requireAll = (r) => r.keys().forEach(r)

// cas "normal" sans electron
requireAll(require.context('./objetsAdd', true, /\.js$/))
requireAll(require.context('./outilsWithoutElectron', true, /\.js$/))
