/*
 * Created by yvesb on 20/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */

const CAppelFonctionInterneNVar = require('../objets/CAppelFonctionInterneNVar')
module.exports = CAppelFonctionInterneNVar

// Ajout version 6.3.0. Utilisé pour les créations de contructions
CAppelFonctionInterneNVar.prototype.estConstantPourConst = function () {
  var res = false
  var nvar = this.operande.length
  for (var i = 0; i < nvar; i++) {
    res = res || this.operande[i].estConstantPourConst()
  }
  return res
}
