/*
 * Created by yvesb on 20/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CDemiDroiteClone = require('../objets/CDemiDroiteClone')
const CDemiDroite = require('../objets/CDemiDroite')
const kernel = require('../kernel/kernel')
module.exports = CDemiDroiteClone

CDemiDroiteClone.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('DdteClone') + ' ' + kernel.getStr('de') + ' ' + this.droite.nom
}

CDemiDroiteClone.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CDemiDroite.prototype.depDe4Rec.call(this, p) || this.droite.depDe4Rec(p))
}

CDemiDroiteClone.prototype.estDefiniParObjDs = function (listeOb) {
  return this.droite.estDefPar(listeOb)
}
