/*
 * Created by yvesb on 21/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CPointClone = require('../objets/CPointClone')
const CPt = require('../objets/CPt')
const kernel = require('../kernel/kernel')
module.exports = CPointClone

CPointClone.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('PtClone') + ' ' + kernel.getStr('de') + ' ' + this.point.nom
}

CPointClone.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CPt.prototype.depDe4Rec.call(this, p) || this.point.depDe4Rec(p))
}

CPointClone.prototype.estDefiniParObjDs = function (listeOb) {
  return this.point.estDefPar(listeOb)
}
