/*
 * Created by yvesb on 21/03/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CPointInterieurCercle = require('../objets/CPointInterieurCercle')
const CPointAncetrePointsMobiles = require('../objets/CPointAncetrePointsMobiles')
const kernel = require('../kernel/kernel')
module.exports = CPointInterieurCercle

CPointInterieurCercle.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo169') + ' ' + this.cercleAssocie.nom
}

CPointInterieurCercle.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CPointAncetrePointsMobiles.prototype.depDe4Rec.call(this, p) ||
    this.cercleAssocie.depDe4Rec(p))
}

CPointInterieurCercle.prototype.estDefiniParObjDs = function (listeOb) {
  return this.cercleAssocie.estDefPar(listeOb)
}
