/*
 * Created by yvesb on 10/10/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CPointLieCercle = require('../objets/CPointLieCercle')
const CPointLie = require('../objets/CPointLie')
const kernel = require('../kernel/kernel')
module.exports = CPointLieCercle

CPointLieCercle.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo2') + ' ' + this.cercleLie.nom
}

CPointLieCercle.prototype.depDe4Rec = function (p) {
  if (this.elementTestePourDependDePourRec === p) return this.dependDeElementTestePourRec
  return this.memDep4Rec(CPointLie.prototype.depDe4Rec.call(this, p) ||
    this.cercleLie.depDe4Rec(p))
}

CPointLieCercle.prototype.lieA = function () {
  return this.cercleLie
}

CPointLieCercle.prototype.appartientDroiteParDefinition = function (droite) {
  return CPointLie.prototype.appartientDroiteParDefinition.call(this, droite) || (this.cercleLie === droite)
}

CPointLieCercle.prototype.appartientCercleParDefinition = function (cercle) {
  return CPointLie.prototype.appartientCercleParDefinition.call(this, cercle) || (this.cercleLie === cercle)
}

CPointLieCercle.prototype.estDefiniParObjDs = function (listeOb) {
  return this.cercleLie.estDefPar(listeOb)
}
