/*
 * Created by yvesb on 10/10/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CPointLieLieuAncetre = require('../objets/CPointLieLieuAncetre')
const CPointLie = require('../objets/CPointLie')
const kernel = require('../kernel/kernel')
module.exports = CPointLieLieuAncetre

CPointLieLieuAncetre.prototype.infoHist = function () {
  return this.nom + ' : ' + kernel.getStr('chinfo2') + ' ' + this.lieuAssocie.nom
}

CPointLieLieuAncetre.prototype.depDe4Rec = function (p) {
  return CPointLie.prototype.depDe4Rec.call(this, p) || this.lieuAssocie.depDe4Rec(p)
}

CPointLieLieuAncetre.prototype.lieA = function () {
  return this.lieuAssocie
}

CPointLieLieuAncetre.prototype.estDefiniParObjDs = function (listeOb) {
  return this.lieuAssocie.estDefPar(listeOb)
}
