/*
 * Created by yvesb on 10/10/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const CValeurComp = require('../objets/CValeurComp')

module.exports = CValeurComp

CValeurComp.prototype.depDe4Rec = function (p) {
  return this.calcul.depDe4Rec(p)
}

/**
 * Fonction donnant au calcul de l'objet le calcul calc.
 * @param {type} calc
 * @returns {undefined}
 */
CValeurComp.prototype.donneCalcul = function (calc) {
  this.calcul = calc
  this.dejaPositionne = false
}

CValeurComp.prototype.estDefiniParObjDs = function (listeOb) {
  return this.calcul.estDefiniParObjDs(listeOb)
}
