/*
 * Created by yvesb on 07/05/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const NatCal = require('../types/NatCalAdd')
const CDeriveePartielle = require('../objets/CDeriveePartielle')
const DeriveePartDlg = require('../dialogs/DeriveePartDlg')

module.exports = OutilDeriveePartielle

function OutilDeriveePartielle (app) {
  Outil.call(this, app, 'DeriveePart', 32038)
}
OutilDeriveePartielle.prototype = new Outil()

OutilDeriveePartielle.prototype.select = function () {
  var app = this.app
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var der = new CDeriveePartielle(list, null, false, '', null, 0, null)
  new DeriveePartDlg(app, der, false, function () { app.activeOutilCapt() }, function () { app.activeOutilCapt() })
}

OutilDeriveePartielle.prototype.activationValide = function () {
  var list = this.app.listePr
  return list.nombreObjetsCalcul(NatCal.NFoncRNvar) > 0
}
