/*
 * Created by yvesb on 02/12/2016.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const DeterminantDlg = require('../dialogs/DeterminantDlg')
const NatCal = require('../types/NatCal')
module.exports = OutilDet

function OutilDet (app) {
  Outil.call(this, app, 'Det', 32050)
}
OutilDet.prototype = new Outil()

OutilDet.prototype.select = function () {
  new DeterminantDlg(this.app)
  this.app.activeOutilCapt()
}

OutilDet.prototype.activationValide = function () {
  return this.app.listePr.nombreObjetsCalcul(NatCal.NTteMatrice) > 0
}
