/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const OutilAddDlg = require('../dialogs/OutilAddDlg')
module.exports = OutilExportFig

function OutilExportFig (app) {
  Outil.call(this, app, 'Export', -1, false, false) // Le dernier false car l'outil n'est pas sélectionnable
}

OutilExportFig.prototype = new Outil()

OutilExportFig.prototype.select = function () {
  new OutilAddDlg(this.app, this.app.outilAddExport, 'Export')
}
