/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const OutilAddDlg = require('../dialogs/OutilAddDlg')
module.exports = OutilGestionConst

function OutilGestionConst (app) {
  Outil.call(this, app, 'GestionConst', -1, false, true)
}

OutilGestionConst.prototype = new Outil()

OutilGestionConst.prototype.select = function () {
  var app = this.app
  app.outilActif.deselect()
  Outil.prototype.select.call(this)
  new OutilAddDlg(this.app, this.app.outilAddGestionConst, 'GestionConst')
}
