/*
 * Created by yvesb on 28/09/2016.
 */
const CMarqueAngleOrienteDirecte = require('../objets/CMarqueAngleOrienteDirecte')
const OutilObjetPar3Pts = require('./OutilObjetPar3Pts')
module.exports = OutilMarqueAngOrSD
/**
 * Outil servant à créer une bissectrice
 * @param app L'application propriétaire
 * @constructor
 */
function OutilMarqueAngOrSD (app) {
  OutilObjetPar3Pts.call(this, app, 'MarqueAngOrSD', 33047, true)
}

OutilMarqueAngOrSD.prototype = new OutilObjetPar3Pts()

OutilMarqueAngOrSD.prototype.objet = function (pt1, pt2, pt3) {
  var app = this.app
  return new CMarqueAngleOrienteDirecte(app.listePr, null, false, app.getCouleur(), false, app.getStyleTrait(),
    app.getStyleMarqueAngle(), 16, pt1, pt2, pt3, app.getStyleFleche())
}
