/*
 * Created by yvesb on 23/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CPartieImaginaire = require('../objets/CPartieImaginaire')
const NatCal = require('../types/NatCal')
const PartieReelleDlg = require('../dialogs/PartieReelleDlg')

module.exports = OutilPartieImaginaire

function OutilPartieImaginaire (app) {
  Outil.call(this, app, 'PartieImaginaire', 33136, false, false)
}
OutilPartieImaginaire.prototype = new Outil()

OutilPartieImaginaire.prototype.select = function () {
  var app = this.app
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var part = new CPartieImaginaire(list, null, false, '', null)
  new PartieReelleDlg(app, part, 2, false, function () { app.activeOutilCapt() }, function () { app.activeOutilCapt() })
}

OutilPartieImaginaire.prototype.activationValide = function () {
  var list = this.app.listePr
  return (list.nombreObjetsCalcul(NatCal.NTteValC) > 0)
}
