/*
 * Created by yvesb on 18/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const SavePNGWithUnityDlg = require('../dialogs/SavePNGWithUnityDlg')
module.exports = OutilSavePNGWithUnity
/**
 * Outil servant à modifier un objet qui a été créé par un menu
 * @param app L'application propriétaire
 * @constructor
 */
function OutilSavePNGWithUnity (app) {
  Outil.call(this, app, '', 'SavePNGWityUnity', -1, false, false) // Le dernier false car l'outil n'est pas sélectionnable
}

OutilSavePNGWithUnity.prototype = new Outil()

OutilSavePNGWithUnity.prototype.select = function () {
  new SavePNGWithUnityDlg(this.app, true)
}

OutilSavePNGWithUnity.prototype.activationValide = function () {
  return this.app.listePr.pointeurLongueurUnite !== null
}
