/*
 * Created by yvesb on 23/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CTestDependanceVariable = require('../objets/CTestDependanceVariable')
const NatCal = require('../types/NatCal')
const TestDepVarDlg = require('../dialogs/TestDepVarDlg')

module.exports = OutilTestDepVar

function OutilTestDepVar (app) {
  Outil.call(this, app, 'TestDepVar', 32039)
}
OutilTestDepVar.prototype = new Outil()

OutilTestDepVar.prototype.select = function () {
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var test = new CTestDependanceVariable(list, null, false, '', null, 0)
  new TestDepVarDlg(this.app, test, false, null, null)
  this.app.activeOutilCapt()
}

OutilTestDepVar.prototype.activationValide = function () {
  var list = this.app.listePr
  return list.nombreObjetsCalcul(NatCal.NTteFoncRouC) > 0
}
