/*
 * Created by yvesb on 23/04/2017.
 */
/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const Outil = require('./Outil')
const CTestExistence = require('../objets/CTestExistence')
const NatCal = require('../types/NatCal')
const TestExistenceDlg = require('../dialogs/TestExistenceDlg')

module.exports = OutilTestExistence

function OutilTestExistence (app) {
  Outil.call(this, app, 'TestExistence', 33032)
}
OutilTestExistence.prototype = new Outil()

OutilTestExistence.prototype.select = function () {
  Outil.prototype.select.call(this)
  var list = this.app.listePr
  var part = new CTestExistence(list, null, false, '', null)
  new TestExistenceDlg(this.app, part, false, null, null)
  this.app.activeOutilCapt()
}

OutilTestExistence.prototype.activationValide = function () {
  var list = this.app.listePr
  return (list.nombreObjetsCalcul(NatCal.NTteValROuC) > 0)
}
