/*
 * MathGraph32 Javascript : Software for animating online dynamic mathematics figures
 * http://www.mathgraph32.org/
 * @Author Yves Biton (yves.biton@sesamath.net)
 * @License: GNU AGPLv3 https://www.gnu.org/licenses/agpl-3.0.html
 */
const OutilSaveJPG = require('../outils/OutilSaveJPG')
const SaveImageDlg = require('../dialogs/SaveImageDlg')
module.exports = OutilSaveJPG

OutilSaveJPG.prototype.select = function () {
  new SaveImageDlg(this.app, 'jpeg')
}
